function onTalk()
	if getFlag("canvascontest_syntheticspace_eyeprotection") then
		setFlag("canvascontest_syntheticspace_eyeprotection",false)
	else
		setFlag("canvascontest_syntheticspace_eyeprotection",true)
	end
end
	